<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Form\Type;

use Sylius\Bundle\ResourceBundle\Form\Type\AbstractResourceType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\FormBuilderInterface;

class QuoteInformationType extends AbstractResourceType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('customerComment', TextareaType::class, [
                'label' => 'dedi_quote.ui.customer_comment',
            ])
        ;
    }

    public function getBlockPrefix()
    {
        return 'dedi_quote_quote_information';
    }
}
